<?php
 
 
 

namespace Google\Protobuf\Internal\FieldOptions;

use UnexpectedValueException;




class CType
{
    




    const STRING = 0;
    









    const CORD = 1;
    


    const STRING_PIECE = 2;

    private static $valueToName = [
        self::STRING => 'STRING',
        self::CORD => 'CORD',
        self::STRING_PIECE => 'STRING_PIECE',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

